---
 drivers/md/Kconfig |   20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

Index: linux-3.1-rc9/drivers/md/Kconfig
===================================================================
--- linux-3.1-rc9.orig/drivers/md/Kconfig
+++ linux-3.1-rc9/drivers/md/Kconfig
@@ -243,23 +243,23 @@ config DM_THIN_PROVISIONING
          Provides thin provisioning and snapshots that share a data store.
 
 config DM_DEBUG_BLOCK_STACK_TRACING
-	boolean "Keep a stack trace of all lock holders"
-	depends on STACKTRACE_SUPPORT
+	boolean "Keep stack trace of thin provisioning block lock holders"
+	depends on STACKTRACE_SUPPORT && DM_THIN_PROVISIONING
 	select STACKTRACE
 	---help---
-
-	  Helpful for debugging.
+	  Enable this for messages that may help debug problems with the
+	  block manager locking used by thin provisioning.
 
 	  If unsure, say N.
 
 config DM_DEBUG_SPACE_MAPS
-       boolean "Extra validation for space maps"
-       depends on DM_THIN_PROVISIONING
-       ---help---
-
-         Helpful for debugging.
+	boolean "Extra validation for thin provisioning space maps"
+	depends on DM_THIN_PROVISIONING
+	---help---
+	  Enable this for messages that may help debug problems with the
+	  space maps used by thin provisioning.
 
-         If unsure, say N.
+          If unsure, say N.
 
 config DM_MIRROR
        tristate "Mirror target"
